diff -Nurd -x'*~' audacious-plugins-2.2.orig/configure audacious-plugins-2.2/configure
--- audacious-plugins-2.2.orig/configure	2009-11-22 17:49:57.000000000 -0500
+++ audacious-plugins-2.2/configure	2018-01-01 16:19:39.000000000 -0500
@@ -7866,11 +7866,9 @@
 $as_echo "yes" >&6; }
 
    if test "x$PC_REQUIRES" = "x"; then
-       PC_REQUIRES="gio-2.0 >=
-     2.0"
+       PC_REQUIRES="gio-2.0 >= 2.0"
    else
-       PC_REQUIRES="$PC_REQUIRES, gio-2.0 >=
-     2.0"
+       PC_REQUIRES="$PC_REQUIRES, gio-2.0 >= 2.0"
    fi
 
 
@@ -8136,7 +8134,7 @@
 $as_echo "Mac OS X" >&6; }
 			LIB_CPPFLAGS='-DPIC'
 			LIB_CFLAGS='-fPIC'
-			LIB_LDFLAGS='-dynamiclib -undefined suppress -install_name ${libdir}/${LIB}'
+			LIB_LDFLAGS='-dynamiclib -install_name ${libdir}/${LIB:.dylib=.${LIB_MAJOR}.dylib} -current_version ${LIB_MAJOR}.${LIB_MINOR} -compatibility_version ${LIB_MAJOR}.0'
 			LIB_PREFIX='lib'
 			LIB_SUFFIX='.dylib'
 			PLUGIN_CPPFLAGS='-DPIC'
diff -Nurd -x'*~' audacious-plugins-2.2.orig/src/jack/jack.c audacious-plugins-2.2/src/jack/jack.c
--- audacious-plugins-2.2.orig/src/jack/jack.c	2009-11-22 17:49:53.000000000 -0500
+++ audacious-plugins-2.2/src/jack/jack.c	2018-01-01 14:58:26.000000000 -0500
@@ -236,7 +236,7 @@
 
 
 /* Return the amount of data that can be written to the device */
-static gint jack_free(void)
+static gint audacious_jack_free(void)
 {
   unsigned long return_val = JACK_GetBytesFreeSpace(driver);
   unsigned long tmp;
@@ -448,7 +448,7 @@
     .close_audio = jack_close,
     .flush = jack_flush,
     .pause = jack_pause,
-    .buffer_free = jack_free,
+    .buffer_free = audacious_jack_free,
     .buffer_playing = jack_playing,
     .output_time = jack_get_output_time,
     .written_time = jack_get_written_time,
diff -Nurd -x'*~' audacious-plugins-2.2.orig/src/modplug/archive/arch_bz2.cxx audacious-plugins-2.2/src/modplug/archive/arch_bz2.cxx
--- audacious-plugins-2.2.orig/src/modplug/archive/arch_bz2.cxx	2009-11-22 17:49:53.000000000 -0500
+++ audacious-plugins-2.2/src/modplug/archive/arch_bz2.cxx	2018-01-01 15:34:31.000000000 -0500
@@ -34,7 +34,7 @@
 	string lCommand = "bzcat \'" + aFileName + "\' | wc -c";   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 
-	if (f <= 0)
+	if (f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -58,7 +58,7 @@
 	lCommand = "bzcat \'" + aFileName + '\'';  //decompress to stdout
 	f = popen(lCommand.c_str(), "r");
 
-	if (f <= 0)
+	if (f == NULL)
 	{
 		mSize = 0;
 		return;
diff -Nurd -x'*~' audacious-plugins-2.2.orig/src/modplug/archive/arch_gzip.cxx audacious-plugins-2.2/src/modplug/archive/arch_gzip.cxx
--- audacious-plugins-2.2.orig/src/modplug/archive/arch_gzip.cxx	2009-11-22 17:49:53.000000000 -0500
+++ audacious-plugins-2.2/src/modplug/archive/arch_gzip.cxx	2018-01-01 15:34:32.000000000 -0500
@@ -30,7 +30,7 @@
 	string lCommand = "gunzip -l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if (f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -66,7 +66,7 @@
 	lCommand = "gunzip -c \"" + aFileName + '\"';  //decompress to stdout
         f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if (f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -101,7 +101,7 @@
 	string lCommand = "gunzip -l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(),"r");
 	
-	if (f <= 0) {
+	if (f == NULL) {
 		pclose(f);
 		return false;
 	}
diff -Nurd -x'*~' audacious-plugins-2.2.orig/src/modplug/archive/arch_rar.cxx audacious-plugins-2.2/src/modplug/archive/arch_rar.cxx
--- audacious-plugins-2.2.orig/src/modplug/archive/arch_rar.cxx	2009-11-22 17:49:53.000000000 -0500
+++ audacious-plugins-2.2/src/modplug/archive/arch_rar.cxx	2018-01-01 15:35:56.000000000 -0500
@@ -52,7 +52,7 @@
 	string lCommand = "unrar l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 	
-	if(f <= 0)
+	if(f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -71,7 +71,7 @@
 	bool eof = false;
 	while(!eof)
 	{
-		if(fgets(lBuffer, 350, f) <= 0 || f <= 0)
+		if(f == NULL || fgets(lBuffer, 350, f) == NULL)
 			break;
 		if (strlen(lBuffer) > 1)
 			lBuffer[strlen(lBuffer)-1] = 0;
@@ -127,7 +127,7 @@
         //decompress to stdout
 	f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if (f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -161,7 +161,7 @@
 	string lCommand = "unrar l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 	
-	if(f <= 0)
+	if(f == NULL)
 		return false;
 
 	int num = 7;
diff -Nurd -x'*~' audacious-plugins-2.2.orig/src/modplug/archive/arch_zip.cxx audacious-plugins-2.2/src/modplug/archive/arch_zip.cxx
--- audacious-plugins-2.2.orig/src/modplug/archive/arch_zip.cxx	2009-11-22 17:49:53.000000000 -0500
+++ audacious-plugins-2.2/src/modplug/archive/arch_zip.cxx	2018-01-01 15:35:26.000000000 -0500
@@ -35,7 +35,7 @@
 	string lCommand = "unzip -l -qq \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 
-	if(f <= 0)
+	if(f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -47,7 +47,7 @@
 	{
 		char line[301];
 		char lUncompName[300];
-		if (fgets(line, 300, f) <= 0) 
+		if (fgets(line, 300, f) == NULL) 
 		{
 			eof = true;
 			break;
@@ -75,7 +75,7 @@
 	//decompress to stdout
 	f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if (f == NULL)
 	{
 		mSize = 0;
 		return;
@@ -122,14 +122,14 @@
 	string lCommand = "unzip -l -qq \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 
-	if(f <= 0)
+	if(f == NULL)
 		return false;
 	
 	bool eof = false;
 	while(!eof)
 	{
 		char line[301], lName[300];
-		if (fgets(line, 300, f) <= 0) 
+		if (fgets(line, 300, f) == NULL) 
 			return false;
 		
 		uint32 tempSize;
